May 2019 Maintenance

Timeline

The May 2019 Maintenance Period began Friday, May 17th at 6 AM and ended Sunday, May 19th.
Recompilation of code is recommended. Please report any instability or other issues to CRCSupport@nd.edu.


System Updates / Changes

  • System / Firmware updates.
  • Various firmware updates on all compute nodes.
  • All systems updated to use latest OpenAFS filesystem version.
  • NVIDIA GPU drivers on GPU nodes updated from version 410.104 to version 418.74.
  • FastX updated to latest stable version.
  • Updates to virtualization infrastructure.
  • Updates to network infrastructure.
  • Updates to Panasas (/scratch365) infrastructure.
  • All systems rebooted.


Software / Module Changes

  • Singularity updated to version 3.2.0 on all systems.
  • Various improvements to UGE configurations.


Python Module Changes

The new default module for Python is Python 3.7.3. Python 2 will no longer be maintained starting in 2020. The CRC is following suit by moving our default Python module to a version in the 3.X branch. We are still maintaining a Python 2 module, python/2.7.15 which can be loaded. Using the new Python 3 no longer requires the "3" in a call to python3. Simply calling python after loading the default Python module will drop into Python 3.7.3. Similarly, pip3 can be called with pip with the new module. Note that calls to python3 and pip3 will still work as expected.

New Default modules

The following software titles had their default versions updated to the ones listed below.

arm/19.0.2
cuda/10.0
cudnn/7.4
gaussian/16B01
gcc/8.3.0
geos/3.5.0
gromacs/2018.3
gsl/gcc/2.5
gurobi/8.1.1
intel/18.0
julia/1.1.0
lapack_blas/3.6.0-gcc-6.2.0
matlab/2018b
mpich/3.3/intel/19.0
mplus/8.2
mvapich2/2.2/intel/18.0
netcdf/4.7.0/intel/18.0
ompi/3.0.0/intel/18.0
pgi/18.10
pointwise/18.2R2
python/3.7.3
R/3.5.3
tensorflow/1.12
tinker/8.5

Deprecated Modules

The following modules will be removed during the January 2020 maintenance period. Note that any modules that have dependencies in this list will trigger an alert as well.

adf/2016.104(default)
amber/16.0
arm/18.1.2
boost/gcc/1.66(default)
boost/gcc/1.69
boost/ib/1.66
boost/intel/1.66
caffe/2017-gpu(default)
caffe2/1.0.0
cellprofiler/2.1.2(default)
cellranger/2.2.0
cpmd/4.1(default)
cuda/9.1
cuda/9.2
gaussian/16A03
gcc/6.2.0
gcc/7.1.0
gcc/8.1.0
gcc/8.2.0
gromacs/2016.3
gsl/gcc/2.4
gsl/intel/2.4
gurobi/8.0.0
hwrf/3.7(default)
intel/17.1
julia/0.6.2
lammps/22Sep17
maple/18(default)
mathematica/11.2
matlab/2017b
matlab/2018a
mpich/3.2.1-intel-17.1
mpich/3.2-gcc-7.1.0
mplus/7.11
mvapich2/2.2-gcc-7.1.0-mlx
mvapich2/2.2-gcc-8.1.0-mlx
mvapich2/2.2-intel-17.1-mlx
mvapich2/2.2-intel-17.1-qlc
netcdf/gcc/4.6.1
netcdf/intel/4.6.1
netcdf/intel/4.6.2
ompi/2.1.1-gcc-7.1.0
ompi/2.1.1-intel-17.1
ompi/3.0.0-gcc-4.8.5
ompi/3.0.0-intel-17.1
ompi/3.0.0-intel-18.0
pointwise/18.1R1
python/2.7.13
python/2.7.14
python/3.6.0
python/3.6.4
R/3.5.1
tensorflow/1.8
tinker/7.1.2
xerces-c/3.1.1(default)

Previously deprecated software removed

The following modules were previously deprecated and have been removed during this maintenance period.

abaqus/2017
adina/9.3.1
ansys/18.2
bio/bcl2fastq/2.19
bio/bowtie/2.2.3
bio/bwa/0.7.12
bio/cufflinks/2.1.1
bio/cutadapt/1.6
bio/picardtools/1.119
bio/trinity/2.8.2
boost/1.63
caelus/7.04(default)
cfour/1.0
cmake/3.9.4
comsol/5.2a
comsol/5.3
cp2k/4.0
CRC_default/1.0
cuda/8.0
cudnn/v6.0
espresso/5.4
gcc/6.2.0
gdal/2.1.3
git/2.8
gsl/2.3
gurobi/7.0.2
hdf5/1.8.15-gcc
intel/16.0
jags/4.2
matlab/9.2
namd/2.12
netcdf/4.4.1
openbabel/2.3.1(default)
opencv/3.3
openface/0.2.0(default)
openfoam/1612+
openfoam/1706
pgi/16.10
pgi/17.4
pointwise/18.0R1
python/2.7.11
quantumwise/2017.12
Rstudio/1.0.143
schrodinger/2017u3
stata/15.0
tcl/8.6.4
tensorflow/1.6
valgrind/3.13.0-intel